



pip check
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbgrader -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter lab --version
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter labextension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter server extension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter labextension list 1>labextensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter server extension list 1>server_extensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.assignment_list.*OK" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.assignment_list.*enabled" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.course_list.*OK" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.course_list.*enabled" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.formgrader.*OK" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.formgrader.*enabled" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.validate_assignment.*OK" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.server_extensions.validate_assignment.*enabled" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbgrader.*OK.*nbgrader" labextensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
